Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface ResourceAdminService

    public interface ResourceAdminService

This interface defines methods to manage the resources tree in the report server.

fullFmtdNodePath is full formatted name of a node, like the following:

> (R)/(R)Tutorial/(C)mycat.cat/(RptH)myrpt.cls

Each string inside parentheses indicates the type of that node:

> (R)name - Resource Node
> (D)name - Virtual Resource Node of directory
> (F)name - Virtual Resource Node of normal file
> (C)name - Virtual Resource Node of catalog
> (Rpt)name -Virtual Resource Node of report
> (DH)name - Unreachable Virtual Resource Node of directory
> (FH)name - Unreachable Virtual Resource Node of normal file
> (CH)name - Unreachable Virtual Resource Node of catalog
> (RptH)name -Unreachable Virtual Resource Node of report

Since:
  5.0

Field Summary
`static int` | `FORMATEDNODE_ALL` Deprecated. As of version 6, it does not have effect.
`static int` | `FORMATEDNODE_CATRPT` Deprecated. As of version 6, it does not have effect.
`static int` | `FORMATEDNODE_WORKING` Deprecated. As of version 6, it does not have effect.

Method Summary
`java.lang.String` | `addNode(java.lang.String realm, java.lang.String parentPath, byte nodeType, java.util.Hashtable htNode)` Adds a node into the resource tree in the specific realm.
`java.lang.String` | `addResourceNode(java.lang.String realm, java.lang.String fullFmtdNodePath, java.lang.String newNodeName, java.lang.String realPath)` Deprecated. As of version 6, it does not have effect.
`void` | `addResourceReachable(java.lang.String realm, java.lang.String fullFmtdNodePath, java.util.Vector reachableFiles)` Deprecated. As of version 6, it does not have effect.
`void` | `declareVirtualNode(java.lang.String realm, java.lang.String fullFmtdNodePath, boolean subCanReachable)` Deprecated. As of version 6, it does not have effect.
`void` | `deleteNode(java.lang.String realm, java.lang.String nodePath)` Deletes the specific node.
`void` | `deleteResourceNode(java.lang.String realm, java.lang.String fullFmtdNodePath)` Deprecated. As of version 6, it does not have effect.
`void` | `editNode(java.lang.String realm, java.lang.String nodePath, java.util.Hashtable htNode)` Edits the specific resource node.
`void` | `editResourceNode(java.lang.String realm, java.lang.String fullFmtdNodePath, java.lang.String resName, java.lang.String realpath, java.lang.String description, boolean reachable, boolean isMapSharedDisk)` Deprecated. As of version 6, it does not have effect.
`ResourceNodeInfo` | `getResourceNodeInfo(java.lang.String realm, java.lang.String fullFmtdNodePath)` Deprecated. As of version 6, it does not have effect.
`java.util.Vector` | `getSubRscNodesInfo(java.lang.String realm, java.lang.String fullFmtdNodePath, int listType)` Deprecated. As of version 6, it does not have effect.
`void` | `setVirtualReachable(java.lang.String realm, java.lang.String fullFmtdNodePath, boolean reachable)` Deprecated. As of version 6, it does not have effect.
`java.lang.Object[]` | `upgradeResources(java.lang.String realm, java.lang.String userID, boolean isUpgradePublicReports, boolean isUpgradeUserReports, boolean isReplaceOldResource)` upgrade resources (report, catalog, dashboard, lc, and va) to the latest version.

Field Detail

### FORMATEDNODE_CATRPT

    static final int FORMATEDNODE_CATRPT

  Deprecated. As of version 6, it does not have effect.
  The resource node type: all sub resource nodes, catalogs and their reports.

  See Also:
    Constant Field Values

### FORMATEDNODE_WORKING

    static final int FORMATEDNODE_WORKING

  Deprecated. As of version 6, it does not have effect.
  The resource node type: all working resource nodes.

  See Also:
    Constant Field Values

### FORMATEDNODE_ALL

    static final int FORMATEDNODE_ALL

  Deprecated. As of version 6, it does not have effect.
  The resource node type: all resource nodes.

  See Also:
    Constant Field Values

Method Detail

### addResourceNode

    java.lang.String addResourceNode(java.lang.String realm,
                                     java.lang.String fullFmtdNodePath,
                                     java.lang.String newNodeName,
                                     java.lang.String realPath)
                                     throws NoSuchRealmException,
                                            UnknownMIMEType,
                                            UnknownResource,
                                            ResourceAdminServiceException,
                                            ResourceInfoException

  Deprecated. As of version 6, it does not have effect.

  Adds a resource node into resource tree in the specific realm.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `fullFmtdNodePath` - the full formatted path of the resource node, for example, (R)/(R)SunVMDemo.
    `newNodeName` - the name of new added resource node.
    `realPath` - the relative real path for new added resource node.
  Returns:
    the new node name.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`

### deleteResourceNode

    void deleteResourceNode(java.lang.String realm,
                            java.lang.String fullFmtdNodePath)
                            throws NoSuchRealmException,
                                   UnknownMIMEType,
                                   UnknownResource,
                                   ResourceAdminServiceException,
                                   ResourceInfoException

  Deprecated. As of version 6, it does not have effect.

  Deletes the specific resource node.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `fullFmtdNodePath` - the full formatted path of the resource node, for example, (R)/(R)SunVMDemo.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`

### editResourceNode

    void editResourceNode(java.lang.String realm,
                          java.lang.String fullFmtdNodePath,
                          java.lang.String resName,
                          java.lang.String realpath,
                          java.lang.String description,
                          boolean reachable,
                          boolean isMapSharedDisk)
                          throws NoSuchRealmException,
                                 java.io.IOException,
                                 UnknownResource,
                                 UnknownMIMEType,
                                 ResourceAdminServiceException,
                                 ResourceInfoException

  Deprecated. As of version 6, it does not have effect.

  Edits the specific resource node.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `fullFmtdNodePath` - the full formatted path of the resource node, for example, (R)/(R)SunVMDemo.
    `resName` - the new name of the resource node.
    `realpath` - the new real path of the resource node.
    `description` - the information with which user described the resource node.
    `reachable` - if the sub nodes are reachable.
    `isMapSharedDisk` - if this resource node maps to a shared disk.
  Throws:
    `NoSuchRealmException` - IOException UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.io.IOException`
    `UnknownResource`
    `UnknownMIMEType`
    `ResourceAdminServiceException`
    `ResourceInfoException`

### addResourceReachable

    void addResourceReachable(java.lang.String realm,
                              java.lang.String fullFmtdNodePath,
                              java.util.Vector reachableFiles)
                              throws NoSuchRealmException,
                                     UnknownResource,
                                     UnknownMIMEType,
                                     ResourceAdminServiceException,
                                     java.io.IOException

  Deprecated. As of version 6, it does not have effect.

  Adds reachable files to Resource Node.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `fullFmtdNodePath` - the full formatted path of the resource node, for example, (R)/(R)SunVMDemo.
    `reachableFiles` - the file name added to resource node.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException IOException
    `UnknownResource`
    `UnknownMIMEType`
    `ResourceAdminServiceException`
    `java.io.IOException`

### declareVirtualNode

    void declareVirtualNode(java.lang.String realm,
                            java.lang.String fullFmtdNodePath,
                            boolean subCanReachable)
                            throws NoSuchRealmException,
                                   UnknownResource,
                                   UnknownMIMEType,
                                   java.io.IOException,
                                   ResourceInfoException

  Deprecated. As of version 6, it does not have effect.

  Declares the specific virtual resource node as resource node.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `fullFmtdNodePath` - the full formatted path of the virtual resource node
    `subreachable` - if the sub nodes are reachable.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource IOException ResourceInfoException
    `UnknownResource`
    `UnknownMIMEType`
    `java.io.IOException`
    `ResourceInfoException`

### setVirtualReachable

    void setVirtualReachable(java.lang.String realm,
                             java.lang.String fullFmtdNodePath,
                             boolean reachable)
                             throws NoSuchRealmException,
                                    UnknownResource,
                                    UnknownMIMEType,
                                    java.io.IOException,
                                    ResourceInfoException

  Deprecated. As of version 6, it does not have effect.

  Sets if the specific virtual resource node is reachable.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `fullFmtdNodePath` - the full format path of the virtual resource node
    `reachable` - if the resource node and its sub nodes are reachable.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource IOException ResourceInfoException
    `UnknownResource`
    `UnknownMIMEType`
    `java.io.IOException`
    `ResourceInfoException`

### getResourceNodeInfo

    ResourceNodeInfo getResourceNodeInfo(java.lang.String realm,
                                         java.lang.String fullFmtdNodePath)
                                         throws NoSuchRealmException,
                                                UnknownResource,
                                                UnknownMIMEType,
                                                java.io.IOException

  Deprecated. As of version 6, it does not have effect.

  Gets a specified resource node information

  Parameters:
    `realm` - the realm in which the resource node exists.
    `fullFmtdNodePath` - the full formatted path of the node, for example, (R)/(R)SunVMDemo.
  Returns:
    ResourceNodeInfo
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource IOException
    `UnknownResource`
    `UnknownMIMEType`
    `java.io.IOException`

### getSubRscNodesInfo

    java.util.Vector getSubRscNodesInfo(java.lang.String realm,
                                        java.lang.String fullFmtdNodePath,
                                        int listType)
                                        throws NoSuchRealmException,
                                               UnknownResource,
                                               UnknownMIMEType,
                                               java.io.IOException

  Deprecated. As of version 6, it does not have effect.

  Gets a specified tree node's sub information

  Parameters:
    `realm` - the realm in which the resource node exists.
    `fullFmtdNodePath` - the full formatted path of the node, for example, (R)/(R)SunVMDemo.
    `listType` - FORMATEDNODE_CATRPT Lists all sub resource nodes, catalogs and their reports as well
    FORMATEDNODE_WORKING Lists all working resources
    FORMATEDNODE_ALL Lists all resources
  Returns:
    the sub node's information. Vector contains ResourceNodeInfo object.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource IOException
    `UnknownResource`
    `UnknownMIMEType`
    `java.io.IOException`

### addNode

    java.lang.String addNode(java.lang.String realm,
                             java.lang.String parentPath,
                             byte nodeType,
                             java.util.Hashtable htNode)
                             throws NoSuchRealmException,
                                    UnknownMIMEType,
                                    UnknownResource,
                                    ResourceAdminServiceException,
                                    ResourceInfoException

  Adds a node into the resource tree in the specific realm.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `parentPath` - the parent path to specify which node the new resource node will be added into, for example, /SunVMDemo.
    `nodeType` - the new added node type
    `htNode` - properties of new node, ie. new node name, description, realPath (for folder and resource), max version amount(resource), etc.
  Returns:
    the new node name.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### deleteNode

    void deleteNode(java.lang.String realm,
                    java.lang.String nodePath)
                    throws NoSuchRealmException,
                           UnknownMIMEType,
                           UnknownResource,
                           ResourceAdminServiceException,
                           ResourceInfoException

  Deletes the specific node.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `nodePath` - the full path of the node, for example, /SunVMDemo.
  Throws:
    `NoSuchRealmException` - UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `UnknownMIMEType`
    `UnknownResource`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### editNode

    void editNode(java.lang.String realm,
                  java.lang.String nodePath,
                  java.util.Hashtable htNode)
                  throws NoSuchRealmException,
                         java.io.IOException,
                         UnknownResource,
                         UnknownMIMEType,
                         ResourceAdminServiceException,
                         ResourceInfoException

  Edits the specific resource node.

  Parameters:
    `realm` - the realm in which the resource tree exists.
    `nodePath` - the full path of the node, for example, /SunVMDemo.
    `htNode` - new properties of specified node, ie. new node name, description, realPath (for folder and resource), max version amount(resource), etc.
  Throws:
    `NoSuchRealmException` - IOException UnknownMIMEType UnknownResource ResourceAdminServiceException ResourceInfoException
    `java.io.IOException`
    `UnknownResource`
    `UnknownMIMEType`
    `ResourceAdminServiceException`
    `ResourceInfoException`
  Since:
    version 6

### upgradeResources

    java.lang.Object[] upgradeResources(java.lang.String realm,
                                        java.lang.String userID,
                                        boolean isUpgradePublicReports,
                                        boolean isUpgradeUserReports,
                                        boolean isReplaceOldResource)
                                        throws NoSuchRealmException

  upgrade resources (report, catalog, dashboard, lc, and va) to the latest version.

  Parameters:
    `realm` - the realm in which want to upgrade resources
    `userID` - user name, must be administrators
    `isUpgradePublicReports` - upgrade resources under public folders or not, true means yes
    `isUpgradeUserReports` - upgrade resources under user folders or not, trur means yes
    `isReplaceOldReports` - use upgraded version to replace the old version, or save as new version, true means replace old version.
  Returns:
    upgrading result, element 0 is a `Integer`, indicates resource number that need to upgrade, element 1 is a `Integer`, indicates resource number that upgrade successfully.
  Throws:
    `NoSuchRealmException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD